# Interface IValueVariableInitializer

public interface IValueVariableInitializer
Value variable initializers compute an initial value for a value variable contributed by an extension, which is not defined with an initial value. This provides a mechanism for programmatically computing the initial value of a value variable.

Clients may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(IValueVariable variable)`
Initializes the specified variable.

## Method Details

### initialize

void initialize(IValueVariable variable)
Initializes the specified variable.

Parameters:
  `variable` - variable to initialize